# $Revision: 1.33 $, $Date: 2011/04/06 17:57:55 $
Summary:	Development environment for children
Summary(pl.UTF-8):	Środowiko programistyczne dla dzieci
Name:		littlewizard
Version:	1.2.2
Release:	3
License:	GPL v2+
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/littlewizard/%{name}-%{version}.tar.gz
# Source0-md5:	1a6f4405418c8b55b29de0ce5934d73f
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-pixmapsdir.patch
Patch2:		%{name}-desktop.patch
URL:		http://littlewizard.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Development environment for children. Program little wizard without
using keybord, just use the drag and drop system.

%description -l pl.UTF-8
Little wizard ("mały czarodziej") to środowisko programistyczne dla
dzieci. Programuje się w nim bez użycia klawiatury, korzystając z
systemu "złap i upuść".

%package devel
Summary:	Header files for littlewizard
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek littlewizard
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
littlewizard header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek littlewizard.

%package static
Summary:	Static libraries for littlewizard
Summary(pl.UTF-8):	Statyczne biblioteki dla littlewizard
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
littlewizard static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne dla littlewizard.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_mime_database

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COMPATIBILITY ChangeLog README TODO
%attr(755,root,root) %{_bindir}/littlewizard
%attr(755,root,root) %{_bindir}/littlewizardtest
%attr(755,root,root) %{_libdir}/liblanguage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblanguage.so.0
%attr(755,root,root) %{_libdir}/liblw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblw.so.0
%{_pixmapsdir}/*
%{_desktopdir}/littlewizard.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/littlewizard.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblanguage.so
%attr(755,root,root) %{_libdir}/liblw.so
%{_libdir}/liblanguage.la
%{_libdir}/liblw.la
%{_includedir}/littlewizard

%files static
%defattr(644,root,root,755)
%{_libdir}/liblanguage.a
%{_libdir}/liblw.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: littlewizard.spec,v $
Revision 1.33  2011/04/06 17:57:55  wiget
- updated dekstop.patch
- rel. 3

Revision 1.32  2011/04/06 17:46:24  wiget
- rel. 2

Revision 1.31  2011/02/05 15:56:39  wiget
- rel. 1

Revision 1.30  2011/02/04 18:23:56  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.29  2008/11/21 15:29:29  lisu
- up to 1.2.2

Revision 1.28  2008/11/09 19:14:21  megabajt
- run %{__libtoolize}
- more verbose files
- release 3

Revision 1.27  2008/11/09 17:12:09  arekm
- release 2

Revision 1.26  2008/07/05 20:24:31  lisu
- final 1.2.0 version
- merge with DEVEL
- BR: libselinux-devel
- no international files

Revision 1.25.2.2  2008/04/02 20:13:10  lisu
- up to 1.2.0rc2

Revision 1.25.2.1  2007-12-15 23:13:20  lisu
- up to 1.2.0rc1
- -separatelibs.patch is obsolete
- add COMPATIBILITY file to docs

Revision 1.25  2007-09-25 22:54:15  lisu
- don't set CFLAGS with make, configure is enough

Revision 1.24  2007/09/25 22:41:26  lisu
- up to 1.1.5
- fix --as-needed flag
- use desktop file included with project

Revision 1.23  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.21  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.20  2006/10/08 13:16:28  qboosh
- tabs

Revision 1.19  2006/09/28 07:55:45  lisu
- ups, it's new rel
- .desktop file added

Revision 1.18  2006/09/28 07:53:35  lisu
littlewizard.spec

Revision 1.17  2006/09/27 20:51:06  lisu
- littlewizard-pixmapsdir.patch added
- rel++
- nfy

Revision 1.16  2006/09/27 20:31:20  lisu
- up to 1.1.4
- littlewizard-Makefile.patch added
- README and auto* added
- nfy

Revision 1.15  2005/07/17 21:17:19  qboosh
- think, use find_lang

Revision 1.14  2005/07/17 19:21:39  darekr
- fixed %files

Revision 1.13  2005/07/13 17:15:16  qboosh
- pl fixes, some cleanups

Revision 1.12  2005/07/13 17:04:25  darekr
- BR: gtk+2-devel

Revision 1.11  2005/07/13 16:55:43  darekr
- fixed Group; sorted BRs

Revision 1.10  2005/07/13 15:32:44  darekr
- added %post and %postun

Revision 1.9  2005/07/13 14:34:42  darekr
- fixed %files, added -devel and -static subpackages

Revision 1.8  2005/07/13 13:55:51  spider
- missing br

Revision 1.7  2005/07/13 13:45:33  darekr
- missing dir

Revision 1.6  2005/07/13 13:38:56  darekr
- fix 'fix darekr fix'

Revision 1.5  2005/07/13 13:26:07  darekr
- killed empty files from %doc

Revision 1.4  2005/07/13 13:01:00  spider
- fix 'darekr fix' (see buildlog)

Revision 1.3  2005/07/13 12:58:35  spider
- pl

Revision 1.2  2005/07/13 12:45:35  darekr
- fix release

Revision 1.1  2005/07/13 12:39:46  spider
- init
- work fine, but files section propably need fix
